package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DonationDeductFactory
{
    private DonationDeductFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.IDonationDeduct getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IDonationDeduct)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BEDF619E") ,com.kingdee.eas.custom.compensation.IDonationDeduct.class);
    }
    
    public static com.kingdee.eas.custom.compensation.IDonationDeduct getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IDonationDeduct)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BEDF619E") ,com.kingdee.eas.custom.compensation.IDonationDeduct.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.IDonationDeduct getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IDonationDeduct)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BEDF619E"));
    }
    public static com.kingdee.eas.custom.compensation.IDonationDeduct getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IDonationDeduct)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BEDF619E"));
    }
}